<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Notes - Table Format</title>
    <link rel="stylesheet" href="{% url 'lab-4:index' %}" type="text/css">
    <!--Saya coba pakai external css, tapi hasilnya entah kenapa beda dengan kalau pakai internal css-->
  </head>
  <style>
    h1 {
    color:black;
    }
    table {
        border:solid 1px black;width:100%;border-radius:5px;padding:2px;background: linear-gradient(to bottom, #33ccff 0%, #ff99cc 100%);
    }
    th {
        width:50%; 
    }
    td {
        border:solid 1px black;background-color: white;
        border-radius: 5px;
    }
    body {
        background-color:white;
    }
    .card {
        box-shadow: 0 0 4px 1px black;
        width: 40%;
        border-radius: 5px;
        margin:10px;
    }
    .container {
        padding: 2px 16px;
    }
    footer {
        box-shadow: 0 0 4px 1px black;
        background: linear-gradient(to bottom, #33ccff 0%, #ff99cc 100%);
        margin:10px;
        padding:10px;
        display:inline-block;
    }
    .fieldWrapper {
        margin:10px;
    }
  </style>
  <body>
    <h1>Notes - Table Format</h1>
    <table>
      <tr>
        <th style="width:10%">To:</th>
        <th style="width:10%">From:</th>
        <th style="width:20%">Title:</th>
        <th style="width:100%">Message:</th>
      </tr>
      {% if notes %}
        {% for note in notes %}
        <tr>
          <td>{{note.to}}</td>
          <td>{{note.from_v}}</td>
          <td>{{note.title}}</td>
          <td>{{note.message}}</td>
        </tr>
        {% endfor %}
      {% endif %}
    </table>
  </body>
  <footer>
    <a href="{% url 'lab-4:index' %}">INDEX</a>
    <span> | </span>
    <a href="{% url 'lab-4:note list' %}">NOTE LIST</a>
    <span> | </span>
    <a href="{% url 'lab-4:add note' %}">ADD NOTE</a>
</footer>
</html>
